package com.capgemini.reports.definition.r11report.data.extractor;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.reports.bomlineholder.BOMLineHolder;
import com.capgemini.reports.bomlineholder.flattener.line.AbstractReceptorRepere;
import com.capgemini.reports.bomlineholder.flattener.line.SnecmaLine;

/**
 * Class which inherits of {@link AbstractReceptorRepere}.Just need only receptor and rf.
 */
public class R11ReceptorRepere extends AbstractReceptorRepere<Void, Void> {

    private static final String EMPTY = "";

    /**
     * Constructor.
     *
     * @param bomLineReceptor the {@link BOMLineHolder} of a receptor
     * @param bomLineRepere   the {@link BOMLineHolder} of a repere
     */
    R11ReceptorRepere(final TcSession session, final BOMLineHolder bomLineReceptor, final BOMLineHolder bomLineRepere) {
        super(session, bomLineReceptor, bomLineRepere);
    }

    @Override
    public String getLineId() {
        return EMPTY;
    }

    @Override
    public int getLineNumber() {
        // nothing to do
        return 0;
    }

    @Override
    public Void transform(final Void transformer) {
        // nothing to do because it's all voids
        return null;
    }

    @Override
    public int compareTo(final SnecmaLine<Void, Void> line) {
        // nothing to do
        return 0;
    }

    @Override
    public String getDesignationENG() {
        return EMPTY;
    }
}
